inline double Tumor::selfDetectAge() const
{
    return d_selfDetectAge;
}

inline double Tumor::detectableAge() const
{
    return d_detectableAge;
}

inline bool Tumor::selfDetectable() const
{
    return d_selfDetectAge != NO_TUMOR;
}

inline void Tumor::characteristics()
{
    characteristics(d_selfDetectAge);
}

inline void Tumor::intervalCancer()
{
    d_interval = true;
}

inline void Tumor::found()
{
    d_found = true;
}

inline void Tumor::setDeathAge()
{
    setDeathAge(d_selfDetectAge);
}

inline double Tumor::deathAge() const
{
    return d_deathAge;
}

inline double Tumor::diameter() const
{
    return d_diameter;
}

inline bool Tumor::metastasis() const
{
    return d_survival.metastatis();
}

